<?php

require_once 'lib/user_input_handler_registry.php';

class I24hEntryHandler
    implements UserInputHandler
{
    private $session;

    public function __construct($session)
    {
        $this->session = $session;

        UserInputHandlerRegistry::get_instance()->
        register_handler($this);
    }

    public function get_handler_id()
    {
        return 'entry';
    }

    public function handle_user_input(&$user_input, &$plugin_cookies)
    {
        if ($user_input->handler_id === 'entry') {
            if (!isset($user_input->entry_id)) return null;

            $add_params = array(
                'entry_id' => $user_input->entry_id);

            if ($user_input->entry_id === 'tv') {
                $medialurl = MediaURL::encode(
                    array(
                        'screen_id' => TvGroupListScreen::ID
                    ));

                return ActionFactory::open_folder($medialurl);
            }
            return null;
        }
    }

}
?>
