<?php

require_once 'lib/default_dune_plugin.php';
require_once 'lib/utils.php';
require_once 'lib/tv/tv_group_list_screen.php';
require_once 'lib/tv/tv_favorites_screen.php';
require_once 'lib/vod/vod_list_screen.php';
require_once 'lib/vod/vod_movie_screen.php';
require_once 'lib/vod/vod_series_list_screen.php';
require_once 'lib/vod/vod_favorites_screen.php';
require_once 'lib/vod/vod_search_screen.php';
require_once 'i24h_config.php';
require_once 'i24h_exception.php';
require_once 'i24h_tv.php';
require_once 'i24h_m3u_tv.php';
require_once 'i24h_tv_channel_list_screen.php';
require_once 'i24h_entry_handler.php';
require_once 'i24h_top_screen.php';

class I24hPlugin extends DefaultDunePlugin
{
    private $session;
    private $entry_handler;

    public function __construct()
    {
        $this->entry_handler = new I24hEntryHandler($this->session);
        $this->tv = new I24hTv($this->session);
        $this->add_screen(new TvGroupListScreen($this->tv,
                    I24hConfig::GET_TV_GROUP_LIST_FOLDER_VIEWS()));
        $this->add_screen(new I24hTvChannelListScreen($this->session, $this->tv,
                I24hConfig::GET_TV_CHANNEL_LIST_FOLDER_VIEWS()));
    }

    public function get_tv()
    {
    	return $this->tv;
    }

    public function get_tv_info($media_url_str, &$plugin_cookies)
    {
        if (is_null($this->tv))
            throw new Exception('TV is not supported');
        $media_url = MediaURL::decode($media_url_str);
        $ret = $this->tv->get_tv_info($media_url, $plugin_cookies);
        return $ret;
    }
    
}

?>
