<?php
require_once 'lib/hashed_array.php';
require_once 'lib/tv/abstract_tv.php';
require_once 'lib/tv/default_epg_item.php';
require_once 'i24h_channel.php';

class I24hTv extends AbstractTv
{
    private $session;
    private $solo;
    private $products;

    public function __construct($session)
    {
        $this->session = $session;

        $f = fopen('/tmp/sysinfo.txt', 'r');
        $text=fread($f, 1024);
        fclose($f);
        $pos = strpos($text, 'solo4k');
        $posR11 = strpos($text,'_r11');

        if ($posR11 === false ) {
            if ($pos === false) {
                $this->solo = 'lower_cpu_load:1,';
            } else {
                $this->solo = '';
            }
        }else{
            $this->solo = '';
        }
		
		$this->products = array();
        
        parent::__construct(
            AbstractTv::MODE_CHANNELS_N_TO_M,
            false,
            true);
    }

    public function get_fav_icon_url()
    {
        return I24hConfig::FAV_CHANNEL_GROUP_PANEL_ICON_PATH;
    }

    protected function load_channels(&$plugin_cookies)
    {

        $this->channels = new HashedArray();
        $this->groups = new HashedArray();

        $all_Group = new AllChannelsGroup(
            $this,
            'Каналы 1CDN - 1ТВЧ',
            'plugin_file://img/all.png',
            'plugin_file://img/alls.png');
        $this->groups->put($all_Group);


        $channels = array(
            array('id'=>1,'name'=>'Рыжий','url'=>'/195.191.208.8-5047/1tvch11_472896803-248'),
            array('id'=>2,'name'=>'Охотник и рыболов HD','url'=>'/195.191.208.8-5047/1tvch11_472896803-364'),
            array('id'=>3,'name'=>'Animal Family HD','url'=>'/195.191.208.8-5047/1tvch11_472896803-372'),
            array('id'=>4,'name'=>'Eureka HD','url'=>'/195.191.208.8-5047/1tvch11_472896803-373'),
            array('id'=>5,'name'=>'Загородный','url'=>'/195.191.208.8-5047/1tvch11_472896803-385'),
            array('id'=>6,'name'=>'Мультик HD','url'=>'/195.191.208.8-5047/1tvch11_472896803-387'),
        );


        foreach ($channels as $ch) {
            $channel = new I24hChannel(
                $ch["id"],
                $ch["name"],
                'plugin_file://img/ch'.$ch["id"].'.png',
                $ch["url"],
                $ch["id"],
                0,
                0,
                false,
                false,
                'plugin_file://img/ch'.$ch["id"].'.png',
                ''
            );

            $this->channels->put($channel);
        }

    }

    public function get_tv_info(MediaURL $media_url, &$plugin_cookies)
    {
        return parent::get_tv_info($media_url, &$plugin_cookies);
    }

    public function get_tv_stream_url($playback_url, &$plugin_cookies)
    {
        $url = $this->session->api_get_stream_url($playback_url);
        if (substr($url, 0, 1) === '/') {
        	$ss_bin_path = DuneSystem::$properties['install_dir_path'] . '/bin';
        	$cmd = $ss_bin_path . "/play.sh $ss_bin_path > /tmp/rrr.log";
        	$s = shell_exec($cmd);
        	if (!empty($s)) return 'http://ts://localhost:8081'.$url.'|||dune_params|||ll_prebuf_for_http_ts:1,'.$this->solo.'psi_opt:2,buffering_ms:300,ss_for_http_ts:1';
        } else {
        	return $url;
        }
    }
    
    public function get_tv_playback_url($channel_id, $archive_ts, $protect_code, &$plugin_cookies)
    {
        $channel = $this->get_channel($channel_id);

        $ss_bin_path = DuneSystem::$properties['install_dir_path'] . '/bin';
        $cmd = $ss_bin_path . "/play.sh $ss_bin_path > /tmp/rrr.log";
        $s = shell_exec($cmd);

        $play_url =  'http://ts://localhost:18883'.$channel->get_streaming_url() .'|||dune_params|||ll_prebuf_for_http_ts:1,' . $this->solo . 'psi_opt:2,buffering_ms:300,ss_for_http_ts:1,keep_pic:0';
#        hd_print("Play Url $play_url");
        return $play_url;

    }


    public function get_day_epg_iterator($channel_id, $day_start_ts, &$plugin_cookies)
    {
        return array();
    }


#    public function folder_entered(MediaURL $media_url, &$plugin_cookies)
#    {
#
#    }
    
    public function have_channel($channel_id)
    {
        $c = $this->channels->get($channel_id);
        if (is_null($c))
            return false;
        return true;
    }

}

?>
